﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Data;

namespace GS
{
    /// <summary>
    /// Interaction logic for UnboundColum_Test.xaml
    /// </summary>
    public partial class UnboundColum_Test : Window
    {
        DataTable dtEmp = new DataTable()
        {
            Columns =
                {
                    new DataColumn("ECode", typeof(int)),
                    new DataColumn("EName", typeof(string)),
                    new DataColumn("EType", typeof(string))
                }
        };

        DataTable dtAmt = new DataTable()
        {
            Columns =
            {
                new DataColumn("Id", typeof(int)),
                new DataColumn("ECode", typeof(int)),
                new DataColumn("Amt", typeof(decimal))
            }
        };

        public UnboundColum_Test()
        {
            InitializeComponent();

            IniData();

            LV.QueryUnboundColumnValue += (s, e) =>
            {
                if (e.UnBoundAction == Syncfusion.UI.Xaml.Grid.UnBoundActions.QueryData)
                {
                    DataRow[] r = dtEmp.Select($"ECode={((int)((DataRowView)e.Record).Row["ECode"]).ToString()}");
                    e.Value = r.GetLength(0) > 0 ? r[0][e.Column.MappingName] : "Err..";
                }
            };

            LV.ItemsSource = dtAmt;
        }

        void IniData()
        {
            dtEmp.Rows.Add(1, "Anul", "Manager");
            dtEmp.Rows.Add(2, "Parag", "Accounts");
            dtEmp.Rows.Add(3, "Sumit", "Sales");
            dtEmp.Rows.Add(4, "Ritesh", "Sales");
            dtEmp.Rows.Add(5, "Sagar", "Sales");
            dtEmp.Rows.Add(6, "Rajesh", "Accounts");

            dtAmt.Rows.Add(1, 1, 879);
            dtAmt.Rows.Add(2, 6, 783);
            dtAmt.Rows.Add(3, 4, 1111);
            dtAmt.Rows.Add(4, 5, 9802);
            dtAmt.Rows.Add(5, 3, 9816);
            dtAmt.Rows.Add(6, 1, 43);
            dtAmt.Rows.Add(7, 4, 672);
            dtAmt.Rows.Add(8, 6, 193);
            dtAmt.Rows.Add(9, 7, 879);
            dtAmt.Rows.Add(10, 2, 782);
            dtAmt.Rows.Add(11, 3, 765);
        }
    }
}
